import mongoose from 'mongoose';
import { schemaCore } from './core.js';
const { Schema, model } = mongoose;
export const githubBuildReportSchema = new Schema({ ...schemaCore, orgId: { type: String, required: true }, createdAt: Date }
// { timestamps: true }
);
githubBuildReportSchema.index({
    repo: 1,
    branch: 1,
    buildId: 1,
});
githubBuildReportSchema.index({
    repo: 1,
    branch: 1,
    buildDefinitionId: 1,
});
export const GithubBuildReportModel = model('GithubBuildReport', githubBuildReportSchema);
